commit:     f88203259ef0c27caa76cf104f4bf851f6e012d0
Author:     Martin Mokrejš <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
AuthorDate: Wed Jun 10 13:27:42 2015 +0000
Commit:     Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
CommitDate: Wed Jun 10 13:27:42 2015 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=f8820325

add dependency on jhdf5; more ebuild cleanup

Package-Manager: portage-2.2.18

 sci-biology/fastqc/ChangeLog            | 4 ++++
 sci-biology/fastqc/fastqc-0.11.3.ebuild | 7 ++++---
 2 files changed, 8 insertions(+), 3 deletions(-)

diff --git a/sci-biology/fastqc/ChangeLog b/sci-biology/fastqc/ChangeLog
index 3510855..0e247b8 100644
--- a/sci-biology/fastqc/ChangeLog
+++ b/sci-biology/fastqc/ChangeLog
@@ -2,6 +2,10 @@
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+  10 Jun 2015; Martin Mokrejs <[email protected]>
+  fastqc-0.11.3.ebuild:
+  add dependency on jhdf5; more ebuild cleanup
+
 *fastqc-0.11.3 (30 May 2015)
 
   30 May 2015; Martin Mokrejs <[email protected]>

diff --git a/sci-biology/fastqc/fastqc-0.11.3.ebuild 
b/sci-biology/fastqc/fastqc-0.11.3.ebuild
index d2ae40e..d934cae 100644
--- a/sci-biology/fastqc/fastqc-0.11.3.ebuild
+++ b/sci-biology/fastqc/fastqc-0.11.3.ebuild
@@ -16,6 +16,7 @@ KEYWORDS=""
 IUSE=""
 
 DEPEND="sci-biology/picard
+       sci-libs/jhdf5
        >=virtual/jre-1.5:*"
 RDEPEND="${DEPEND}
        dev-lang/perl
@@ -29,7 +30,7 @@ src_prepare(){
 }
 
 src_compile(){
-       ant build || die # TODO: this does not work somehow
+       ant || die
 }
 
 src_install(){
@@ -38,6 +39,6 @@ src_install(){
 
        # TODO: need to compile java in uk/ac/babraham/FastQC/
        # and decide whether jbzip2-0.9.jar is a standard java lib or not
-       # ignore the sam-1.103.jar, that is likely library already in 
sci-biology/picard
-       # cisd-jhdf5.jar
+       # ignore the sam-1.103.jar and rely on /usr/share/picard/lib/sam.jar 
from sci-biology/picard
+       # cisd-jhdf5.jar should be provided by sci-libs/jhdf5
 }

Reply via email to